

# Data and code for: Genetic control of grain amino acid composition in a UK soft wheat mapping population:
---

## Description of the Data and file structure

Supplementary folder 1: 

Two csv files containing amino acid, grain morphology, and quality trait data: 

"H18 trial data" contains data from the 2017 to 2018 field trial whereas "H19 trial data" contains data from the 2018 to 2019 field trial.

The ID column refers to the individual doubled haploid line in the population and matches to the ID column in the genotype file.
Amino acid data is given in mmol per kg. Length, width, and diameter measurements are given in mm. Area is given as mm squared. Kernel weight is provided in mg.
The presence of "ln" preceding a trait in brackets denotes the natural log transformation of that trait (e.g. ln(Glutamic_acid)).
The presence of "-1/" preceding a trait name denotes a negative reciprocal transformation of that trait (e.g. -1/Isoleucine, -1/(500-HFN) - an offset was used in the transformation of HFN).
KHI - kernel hardness index. HFN - Hagberg falling number.
Missing data is left blank in these csv files.

Genotype csv file: "RXC_rqtl_genotypes"

This file gives the genotype information for the Claire x Robigus mapping population used in this study. 
The ID column gives the individual in the mapping population.
The columns give the genotype value (A (Claire) or B (Robigus)) at each marker location.
Below each marker name is the location of the marker in the linkage map in terms of its chromosomal position (e.g. 1A1, 1A2, etc...) and its centimorgan position (numeric value).
Missing genotypes are given as ".".

Supplementary folder 2 (hosted on Zenodo at https://doi.org/10.5281/zenodo.7759333):

QTL browser app: "QTL browser app"
This R script provides the necessary code for the R shiny app used to explore QTL using the phenotypic and genotypic data files in this folder.

Genomic prediction code: "HPC rrBLUP"
This contains the R markdown and html file for the genomic prediction script used in this study. Explanatory notes are available in the markdown.